# PathGraphics

#### new Cesium.PathGraphics(options)
DataSources/PathGraphics.js 30

Describes a polyline defined as the path made by an `Entity` as it moves over time.

Name | Type | Description
--- | --- | ---
`options` | PathGraphics.ConstructorOptions | optional Object describing initialization options

### Members

#### readonly definitionChanged : Event
DataSources/PathGraphics.js 57

Gets the event that is raised whenever a property or sub-property is changed or modified.

#### distanceDisplayCondition : Property|undefined
DataSources/PathGraphics.js 114

Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this path will be displayed.

#### leadTime : Property|undefined
DataSources/PathGraphics.js 76

Gets or sets the Property specifying the number of seconds in front of the object to show.

#### material : MaterialProperty
DataSources/PathGraphics.js 107

Gets or sets the Property specifying the material used to draw the path.

Default Value: `Color.WHITE`

#### resolution : Property|undefined
DataSources/PathGraphics.js 99

Gets or sets the Property specifying the maximum number of seconds to step when sampling the position.

Default Value: `60`

#### show : Property|undefined
DataSources/PathGraphics.js 69

Gets or sets the boolean Property specifying the visibility of the path.

Default Value: `true`

#### trailTime : Property|undefined
DataSources/PathGraphics.js 83

Gets or sets the Property specifying the number of seconds behind the object to show.

#### width : Property|undefined
DataSources/PathGraphics.js 91

Gets or sets the numeric Property specifying the width in pixels.

Default Value: `1.0`

### Methods

#### clone(result) → PathGraphics
DataSources/PathGraphics.js 123

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | PathGraphics | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### merge(source)
DataSources/PathGraphics.js 143

Assigns each unassigned property on this object to the value of the same property on the provided source object.

Name | Type | Description
--- | --- | ---
`source` | PathGraphics | The object to be merged into this object.

### Type Definitions

#### Cesium.PathGraphics.ConstructorOptions
DataSources/PathGraphics.js 8

Initialization options for the PathGraphics constructor

##### Properties:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`show` | Property | boolean | <optional> | true | A boolean Property specifying the visibility of the path.
`leadTime` | Property | number | <optional> |  | A Property specifying the number of seconds in front the object to show.
`trailTime` | Property | number | <optional> |  | A Property specifying the number of seconds behind of the object to show.
`width` | Property | number | <optional> | 1.0 | A numeric Property specifying the width in pixels.
`resolution` | Property | number | <optional> | 60 | A numeric Property specifying the maximum number of seconds to step when sampling the position.
`material` | MaterialProperty | Color | <optional> | Color.WHITE | A Property specifying the material used to draw the path.
`distanceDisplayCondition` | Property | DistanceDisplayCondition | <optional> |  | A Property specifying at what distance from the camera that this path will be displayed.